/*
 Problema: dado um numero inteiro n>0, gerar a seguencia
 dos n-primeiros numeros naturais impares, calcular e
 imprimir a soma desses numeros. Isto eh dado
 um numero inteiro n>0, calcular a soma = 1 + 3 + 5 +...+ 2n-1

 Resolucao: O programa deve ter os seguintes passos:
  1 - definir os tipos de dados; (declarar as variaveis)
  2 - permitir que voce digite o valor do numero "n";
  3 - repeticao para:
       3.1 - gerar um elemento da sequencia, em cada vez;
       3.2 - somar o valor gerado;
  4 - imprimir o valor obtido para soma;

 descricao das variaveis
  n - numero de elementos a serem gerados(numero de repeticoes)
  i - contador de repeticao, usado para obter a sequencia de numeros
  x - guarda o numero gerado, em cada passo
  s - soma dos numeros(dos elementos da sequencia gerada)

*/

#include <iostream>

using namespace std;

int main ()
{
  int n; /* numero de repeticao */
  int i; /* contador de repeticao */
  int x; /* numero a ser somado, elemento da sequencia gerado */
  int s; /* soma dos numeros */

  cout << "Exemplo - estrutura de repeticao - for" << endl;
  cout << "Digite o valor de n: ";
  cin >> n;
  s = 0; //zerar a soma - define o valor inicial da soma
  cout << "\nSomatorio = " << s;
  for (i=1; i<=n; i=i+1) //contar, e gerar os elementos da sequencia
  {
    x = (2*i - 1); //obtem o i-esimo elemento
    cout << " + " << x; //imprime o i-esimo elemento
    s = s + x;  //somar o i-esimo elemento
  }
  cout << " = "  << s << endl; //imprime a soma dos elementos gerados

  return 0;
}
